Skip to content

Set a player image

PUT/v1/players/{playerId}/images/{imageTemplateId}

PUT
/v1/players/{playerId}/images/{imageTemplateId}
curl --request PUT \
--url https://api.ligr.live/rest/v1/players/1/images/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "uploadId": 1 }'

Sets the player’s image for one template from a completed upload. The API checks the size, the SHA-256, the image type and the pixel size of the bytes. Each upload sets an image one time. Live overlays show the new image.

playerId
required

Entity identifier

integer format: int32
>= 1

The player id

imageTemplateId
required

Entity identifier

integer format: int32
>= 1

The id of a player image template

Media typeapplication/json

Set the entity’s image for the template from a completed upload.

object
uploadId
required

The uploadId from the POST …/uploads route of the same image.

number format: double
Examplegenerated
{
"uploadId": 1
}

Ok

Media typeapplication/json

The image of one player, team or competition for one image template.

object
imageTemplateId
required

Entity identifier

integer format: int32
>= 1
templateName
required
string
width
required

Pixel width the image must have.

number format: double
height
required

Pixel height the image must have.

number format: double
url
required

URL of the entity’s image for the template. Null: the entity has no image for the template.

string
nullable
defaultImageUrl
required

URL of the template’s default image. Null: the template has no default image.

string
nullable
Examplegenerated
{
"imageTemplateId": 1,
"templateName": "example",
"width": 1,
"height": 1,
"url": "example",
"defaultImageUrl": "example"
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Player or image template not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Organization has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}